GET /v1/reseller_stores/{id}

The Reseller Store object

A detailed look at the Reseller Store object and its attributes.

A reseller store represents a customer-facing Shopify storefront. Orders placed on reseller stores are routed to source supplier stores for fulfillment.

Sensitive fields like accessTokenEncrypted and webhookSecret are never included in API responses.

The Reseller Store object

id string REQUIRED
ownerId string REQUIRED
name string REQUIRED
platform string REQUIRED

Possible enum values:

  • shopify
  • woocommerce
  • custom
shopDomain string REQUIRED
createdAt string (date-time) REQUIRED
format: date-time
deletedAt string NULLABLE
request_id string REQUIRED

Response

{
  "id": "example_id",
  "ownerId": "example_ownerId",
  "name": "example_name",
  "platform": "shopify",
  "shopDomain": "example_shopDomain",
  "createdAt": "example_createdAt",
  "deletedAt": "example_deletedAt",
  "request_id": "example_request_id"
}